import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClient } from '@angular/common/http';
import { provideHttpClientTesting } from '@angular/common/http/testing';

import { GuildwarAttackComponent } from './guildwar-attack.component';

describe('GuildwarAttackComponent', () => {
    let component: GuildwarAttackComponent;
    let fixture: ComponentFixture<GuildwarAttackComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            imports: [GuildwarAttackComponent],
            providers: [provideHttpClient(), provideHttpClientTesting()],
        }).compileComponents();

        fixture = TestBed.createComponent(GuildwarAttackComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
